## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           nqp
Version:        2023.02
Release:        %autorelease
Summary:        Perl 6 compiler implementation that runs on MoarVM
License:        Artistic-2.0
URL:            https://github.com/Raku/nqp
Source0:        https://github.com/Raku/nqp/releases/download/%{version}/nqp-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl

BuildRequires:  moarvm-devel >= %{version}

Requires:       moarvm >= %{version}

%description
This is "Not Quite Perl" -- a lightweight Raku-like environment for virtual
machines. The key feature of NQP is that it's designed to be a very small
environment (as compared with, say, raku or Rakudo) and is focused on being
a high-level way to create compilers and libraries for virtual machines like
MoarVM, the JVM, and others.

%prep
%autosetup

%build
%{__perl} Configure.pl --backends=moar --prefix=%{_prefix}
%make_build

%install
%make_install

%check
make test

%files
%license LICENSE
%doc README.pod
%{_bindir}/nqp
%{_bindir}/nqp-m
%{_datadir}/nqp/lib/*.moarvm
%{_datadir}/nqp/lib/profiler

%changelog
* Sat Feb 25 2023 topazus <topazus@outlook.com> 2023.02-1
- update to 2023.02

* Sat Feb 18 2023 topazus <topazus@outlook.com> 2022.12-1
- update to 2022.12

* Thu Feb 16 2023 Tomas Hrcka <thrcka@redhat.com> 0.0.2020.07-1
- Unretirement request: https://pagure.io/releng/issue/11265
